	                                                                    
	                                             
	#!/usr/bin/perl

	use strict;
	use IO::Socket;


	my $sock = new IO::Socket::INET	(
									LocalHost => 'localhost',
									LocalPort => '17071',
									Proto	  => 'tcp',
									Listen 	  => 1,
									Reuse     => 1,
									);
	die "no dice:$!" unless $sock;
	$SIG{CHLD} = 'IGNORE';
	while (my $new_sock = $sock->accept())
	{
#		print $sock;
#		print "jdog\n";
	        my $pid = fork;
	        defined $pid or die "fork problem: $!";
#	        print "fork returned $pid in $$\n";
	        $pid and next;
	        open STDOUT, ">&", $new_sock or die "cannot dup newsock $new_sock to stdout: $!";
	        open STDIN, "<&", $new_sock or die "cannot dup newsock $new_sock to stdin: $!";
	        my $boidsargs = <STDIN>;
	        # now exec something...
	        print "$boidsargs\n";
	        exec "perl boids.pl $boidsargs";

	        $| = 1;
	        print "Welcome to a socket managed by process $$\n";
	        exec "bin/bash";
	}
