	#!/usr/bin/perl
	
	use IO::Socket;
	use strict;
	
	my @swarm; my $swarmling = 0; 
	my @swarmcenter; 
	my $threecount; my $swcount;
	my $size = 1.5;
	
	while (<@ARGV>)
	{	
		for ($threecount = 0; $threecount < 3; $threecount++)
		{
			 $swarm[$swarmling][$threecount] = shift(@ARGV);
		}
		$swarmling++;
	}
	$swarmling = $swarmling/3;
	for($swcount = 0; $swcount < $swarmling; $swcount++)
	{
#		print "Swarm unit $swcount: <$swarm[$swcount][0],$swarm[$swcount][1],$swarm[$swcount][2]>\n";
		$swarmcenter[0] += $swarm[$swcount][0];
		$swarmcenter[1] += $swarm[$swcount][1];
		$swarmcenter[2] += $swarm[$swcount][2];
	} 
	$swarmcenter[0] = $swarmcenter[0]/($swarmling);
	$swarmcenter[1] = $swarmcenter[1]/($swarmling);
	$swarmcenter[2] = $swarmcenter[2]/($swarmling);
	print "swarm center: <$swarmcenter[0],$swarmcenter[1],$swarmcenter[2]>\n";
	
	for($swcount = 0; $swcount < $swarmling; $swcount++)
	{
		$swarm[$swcount][0] = (.9*$swarm[$swcount][0])+(.1* $swarmcenter[0]);
		$swarm[$swcount][1] = (.9*$swarm[$swcount][1])+(.1* $swarmcenter[1]);
		$swarm[$swcount][2] = (.9*$swarm[$swcount][2])+(.1* $swarmcenter[2]);
	}
	print "swarm, before friend positioning:\n";
	for($swcount = 0; $swcount < $swarmling; $swcount++){
	for ($threecount = 0; $threecount < 3; $threecount++){
		print " $swarm[$swcount][$threecount]";
	}}
	
	print ";\n";	
#	now the swarm is closer to swarmcenter, and the function ahead keeps the swarmlings from colliding
	print "swarm count: $swarmling\n";
	for($swcount = 0; $swcount < $swarmling; $swcount++)
	{
		my $magnitude;
		my @swarmfriends= @swarm;
		for(my $friend = 0; $friend < $swarmling; $friend++)
		{
			my @pairdist;
			for ($threecount = 0; $threecount < 3; $threecount++)
				{
				$pairdist[$threecount] = $swarm[$swcount][$threecount] - $swarmfriends[$friend][$threecount];
				}
			$magnitude = sqrt(($pairdist[0]*$pairdist[0])+($pairdist[1]*$pairdist[1])+($pairdist[2]*$pairdist[2]));
			if ($magnitude == 0){ next;}
#			print "vector of seperation: <$pairdist[0], $pairdist[1], $pairdist[2]>\n"; 
#			print "magnitude: $magnitude\n";
			if ($magnitude < $size)
			{
				my $magone = sqrt($swarm[$swcount][0]**2+$swarm[$swcount][1]**2+$swarm[$swcount][2]**2); 
				my $magtwo = sqrt($swarmfriends[$friend][0]**2+$swarmfriends[$friend][1]**2+$swarmfriends[$friend][2]**2);
				if ($magtwo > $magone)
				{
					for ($threecount = 0; $threecount < 3; $threecount++)
					{
#						next 2 lines, a catch for divide by zero
						if ($pairdist[$threecount] == 0){ $pairdist[$threecount] = .001;}
						my $runaway = (.1/($pairdist[$threecount]));
						if ($runaway > $size){$runaway = $size;}
						$swarm[$swcount][$threecount] = ($swarm[$swcount][$threecount]) + $runaway;
					}
				} 
				else 
				{
					for ($threecount = 0; $threecount < 3; $threecount++)
					{
#						next 2 lines, a catch for divide by zero
						if ($pairdist[$threecount] == 0){ $pairdist[$threecount] = .001;}
						my $runaway = (.1/($pairdist[$threecount]));
						if ($runaway > $size){$runaway = $size;}
						$swarm[$swcount][$threecount] = ($swarm[$swcount][$threecount]) - $runaway;
					}
				}
			}
		}
	}
	my $sock = new IO::Socket::INET	(
									PeerAddr => 'localhost',
									PeerPort => '17072',
									Proto 	 => 'tcp',
									);
	die "no dice: $!" unless $sock;
	for($swcount = 0; $swcount < $swarmling; $swcount++){
	for ($threecount = 0; $threecount < 3; $threecount++){
		print $sock " $swarm[$swcount][$threecount]";
	}}
	print $sock ";\n";		
	close ($sock);
